Package de.gebit.integrity.services

## Class DSLGrammarAccess.TableTestElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.TableTestElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.TableTestElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableTestElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Assignment` | `getDefaultResultColumnAssignment_8_0()` |
    `org.eclipse.xtext.Keyword` | `getDefaultResultColumnEqualsSignKeyword_8_0_0()` |
    `org.eclipse.xtext.Assignment` | `getDefinitionAssignment_2()` |
    `org.eclipse.xtext.CrossReference` | `getDefinitionTestDefinitionCrossReference_2_0()` |
    `org.eclipse.xtext.RuleCall` | `getDefinitionTestDefinitionQualifiedNameParserRuleCall_2_0_1()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_3()` |
    `org.eclipse.xtext.Group` | `getGroup_8()` |
    `org.eclipse.xtext.Group` | `getGroup_9()` |
    `org.eclipse.xtext.RuleCall` | `getNLFORCEDParserRuleCall_10()` |
    `org.eclipse.xtext.RuleCall` | `getNLFORCEDParserRuleCall_4()` |
    `org.eclipse.xtext.RuleCall` | `getNLFORCEDParserRuleCall_9_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_1()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_3_0()` |
    `org.eclipse.xtext.Assignment` | `getParameterHeadersAssignment_5()` |
    `org.eclipse.xtext.RuleCall` | `getParameterHeadersParameterTableHeaderParserRuleCall_5_0()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_3_1()` |
    `org.eclipse.xtext.RuleCall` | `getParametersParameterParserRuleCall_3_1_0()` |
    `org.eclipse.xtext.Assignment` | `getResultHeadersAssignment_6()` |
    `org.eclipse.xtext.RuleCall` | `getResultHeadersResultTableHeaderParserRuleCall_6_0()` |
    `org.eclipse.xtext.Assignment` | `getRowsAssignment_9_1()` |
    `org.eclipse.xtext.RuleCall` | `getRowsTableTestRowParserRuleCall_9_1_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Keyword` | `getTabletestKeyword_0()` |
    `org.eclipse.xtext.Keyword` | `getVerticalLineKeyword_7()` |
    `org.eclipse.xtext.Keyword` | `getVerticalLineKeyword_8_1()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableTestElements

          public TableTestElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getTabletestKeyword_0

          public org.eclipse.xtext.Keyword getTabletestKeyword_0()

    - #### getNLParserRuleCall_1

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_1()

    - #### getDefinitionAssignment_2

          public org.eclipse.xtext.Assignment getDefinitionAssignment_2()

    - #### getDefinitionTestDefinitionCrossReference_2_0

          public org.eclipse.xtext.CrossReference getDefinitionTestDefinitionCrossReference_2_0()

    - #### getDefinitionTestDefinitionQualifiedNameParserRuleCall_2_0_1

          public org.eclipse.xtext.RuleCall getDefinitionTestDefinitionQualifiedNameParserRuleCall_2_0_1()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getNLParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_3_0()

    - #### getParametersAssignment_3_1

          public org.eclipse.xtext.Assignment getParametersAssignment_3_1()

    - #### getParametersParameterParserRuleCall_3_1_0

          public org.eclipse.xtext.RuleCall getParametersParameterParserRuleCall_3_1_0()

    - #### getNLFORCEDParserRuleCall_4

          public org.eclipse.xtext.RuleCall getNLFORCEDParserRuleCall_4()

    - #### getParameterHeadersAssignment_5

          public org.eclipse.xtext.Assignment getParameterHeadersAssignment_5()

    - #### getParameterHeadersParameterTableHeaderParserRuleCall_5_0

          public org.eclipse.xtext.RuleCall getParameterHeadersParameterTableHeaderParserRuleCall_5_0()

    - #### getResultHeadersAssignment_6

          public org.eclipse.xtext.Assignment getResultHeadersAssignment_6()

    - #### getResultHeadersResultTableHeaderParserRuleCall_6_0

          public org.eclipse.xtext.RuleCall getResultHeadersResultTableHeaderParserRuleCall_6_0()

    - #### getVerticalLineKeyword_7

          public org.eclipse.xtext.Keyword getVerticalLineKeyword_7()

    - #### getGroup_8

          public org.eclipse.xtext.Group getGroup_8()

    - #### getDefaultResultColumnAssignment_8_0

          public org.eclipse.xtext.Assignment getDefaultResultColumnAssignment_8_0()

    - #### getDefaultResultColumnEqualsSignKeyword_8_0_0

          public org.eclipse.xtext.Keyword getDefaultResultColumnEqualsSignKeyword_8_0_0()

    - #### getVerticalLineKeyword_8_1

          public org.eclipse.xtext.Keyword getVerticalLineKeyword_8_1()

    - #### getGroup_9

          public org.eclipse.xtext.Group getGroup_9()

    - #### getNLFORCEDParserRuleCall_9_0

          public org.eclipse.xtext.RuleCall getNLFORCEDParserRuleCall_9_0()

    - #### getRowsAssignment_9_1

          public org.eclipse.xtext.Assignment getRowsAssignment_9_1()

    - #### getRowsTableTestRowParserRuleCall_9_1_0

          public org.eclipse.xtext.RuleCall getRowsTableTestRowParserRuleCall_9_1_0()

    - #### getNLFORCEDParserRuleCall_10

          public org.eclipse.xtext.RuleCall getNLFORCEDParserRuleCall_10()